AWS IoT Device SDK C++ v2: Aws::Eventstreamrpc::ClientOperation Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Aws::Eventstreamrpc::ClientOperation Class Referenceabstract

`#include <EventStreamClient.h>`

Inheritance diagram for Aws::Eventstreamrpc::ClientOperation:

## Public Member Functions
| ClientOperation (ClientConnection &connection, StreamResponseHandler *streamHandler, const OperationModelContext &operationModelContext, Crt::Allocator *allocator) noexcept
| ~ClientOperation () noexcept
| ClientOperation (const ClientOperation &clientOperation) noexcept=delete
| ClientOperation (ClientOperation &&clientOperation) noexcept
std::future< RpcError > | Close (OnMessageFlushCallback onMessageFlushCallback=nullptr) noexcept
std::future< TaggedResult > | GetOperationResult () noexcept

## Protected Member Functions
std::future< RpcError > | Activate (const AbstractShapeBase *shape, OnMessageFlushCallback onMessageFlushCallback) noexcept
std::future< RpcError > | SendStreamEvent (AbstractShapeBase *shape, OnMessageFlushCallback onMessageFlushCallback) noexcept
virtual Crt::String | GetModelName () const noexcept=0

## Protected Attributes
const OperationModelContext & | m_operationModelContext

## Constructor & Destructor Documentation

## ◆ ClientOperation() [1/3]

Aws::Eventstreamrpc::ClientOperation::ClientOperation | ( | ClientConnection & | connection,
|  | StreamResponseHandler * | streamHandler,
|  | const OperationModelContext & | operationModelContext,
|  | Crt::Allocator * | allocator
| ) |  |
| noexcept

## ◆ ~ClientOperation()

Aws::Eventstreamrpc::ClientOperation::~ClientOperation | ( |  | ) |
| noexcept

## ◆ ClientOperation() [2/3]

Aws::Eventstreamrpc::ClientOperation::ClientOperation | ( | const ClientOperation & | clientOperation | ) |
| deletenoexcept

## ◆ ClientOperation() [3/3]

Aws::Eventstreamrpc::ClientOperation::ClientOperation | ( | ClientOperation && | clientOperation | ) |
| noexcept

## Member Function Documentation

## ◆ Activate()

std::future< RpcError > Aws::Eventstreamrpc::ClientOperation::Activate | ( | const AbstractShapeBase * | shape,
|  | OnMessageFlushCallback | onMessageFlushCallback
| ) |  |
| protectednoexcept

## ◆ Close()

std::future< RpcError > Aws::Eventstreamrpc::ClientOperation::Close | ( | OnMessageFlushCallback | onMessageFlushCallback = `nullptr` | ) |
| noexcept

## ◆ GetModelName()

virtual Crt::String Aws::Eventstreamrpc::ClientOperation::GetModelName | ( |  | ) | const
| protectedpure virtualnoexcept

Implemented in Aws::Greengrass::SubscribeToIoTCoreOperation, Aws::Greengrass::ResumeComponentOperation, Aws::Greengrass::PublishToIoTCoreOperation, Aws::Greengrass::SubscribeToConfigurationUpdateOperation, Aws::Greengrass::DeleteThingShadowOperation, Aws::Greengrass::DeferComponentUpdateOperation, Aws::Greengrass::SubscribeToValidateConfigurationUpdatesOperation, Aws::Greengrass::GetConfigurationOperation, Aws::Greengrass::SubscribeToTopicOperation, Aws::Greengrass::GetComponentDetailsOperation, Aws::Greengrass::PublishToTopicOperation, Aws::Greengrass::ListComponentsOperation, Aws::Greengrass::CreateDebugPasswordOperation, Aws::Greengrass::GetThingShadowOperation, Aws::Greengrass::SendConfigurationValidityReportOperation, Aws::Greengrass::UpdateThingShadowOperation, Aws::Greengrass::UpdateConfigurationOperation, Aws::Greengrass::ValidateAuthorizationTokenOperation, Aws::Greengrass::RestartComponentOperation, Aws::Greengrass::GetLocalDeploymentStatusOperation, Aws::Greengrass::GetSecretValueOperation, Aws::Greengrass::UpdateStateOperation, Aws::Greengrass::ListNamedShadowsForThingOperation, Aws::Greengrass::SubscribeToComponentUpdatesOperation, Aws::Greengrass::ListLocalDeploymentsOperation, Aws::Greengrass::StopComponentOperation, Aws::Greengrass::PauseComponentOperation, and Aws::Greengrass::CreateLocalDeploymentOperation.

## ◆ GetOperationResult()

std::future< TaggedResult > Aws::Eventstreamrpc::ClientOperation::GetOperationResult | ( |  | ) |
| noexcept

## ◆ SendStreamEvent()

std::future< RpcError > Aws::Eventstreamrpc::ClientOperation::SendStreamEvent | ( | AbstractShapeBase * | shape,
|  | OnMessageFlushCallback | onMessageFlushCallback
| ) |  |
| protectednoexcept

## Member Data Documentation

## ◆ m_operationModelContext

const OperationModelContext& Aws::Eventstreamrpc::ClientOperation::m_operationModelContext
| protected

The documentation for this class was generated from the following files:

- eventstream_rpc/include/aws/eventstreamrpc/EventStreamClient.h
- eventstream_rpc/source/EventStreamClient.cpp